Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class VariableRole

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.model.dynamics.Variable
                  biouml.model.dynamics.VariableRole

All Implemented Interfaces:
  DataElement, EModelRole, MutableDataElement, Role

public class VariableRole
extends Variable
implements EModelRole

General variable definition.

Field Summary
`protected boolean` | `boundaryCondition`
`protected DiagramElement` | `diagramElement`
`protected java.lang.String` | `plotLineSpec` LineSpec is an argument to plotting functions, such as plot, that defines three components used to specify lines in MATLAB: Line style, Color and Marker symbol.
`static java.lang.String` | `PREFIX`
`static java.lang.String` | `SCOPE`
`protected boolean` | `showInPlot` Indicates whether a variable should be in plot output.

Fields inherited from class biouml.model.dynamics.Variable
`comment, initialValue, units`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`VariableRole(DataCollection origin, DiagramElement diagramElement, double initialValue)`
`VariableRole(DiagramElement diagramElement, double initialValue)`
`VariableRole(java.lang.String name, DataCollection origin, double initialValue)` For internal usage.

Method Summary
`Role` | `clone(DiagramElement de)` Creates variable copy and assotiate it with specified diagram element.
`static java.lang.String` | `createName(DiagramElement de)` Returns name of DataElement including all compartment names.
`DiagramElement` | `getDiagramElement()`
`java.lang.String` | `getPlotLineSpec()`
`boolean` | `isBoundaryCondition()`
`boolean` | `isShowInPlot()`
`void` | `setBoundaryCondition(boolean boundaryCondition)`
`void` | `setPlotLineSpec(java.lang.String plotLineSpec)`
`void` | `setShowInPlot(boolean showInPlot)`
`java.lang.String` | `toString()`

Methods inherited from class biouml.model.dynamics.Variable
`getComment, getInitialValue, getUnits, isConstant, setComment, setConstant, setInitialValue, setName, setUnits`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### SCOPE

    public static final java.lang.String SCOPE

See Also:
  Constant Field Values

### diagramElement

    protected DiagramElement diagramElement

### boundaryCondition

    protected boolean boundaryCondition

### showInPlot

    protected boolean showInPlot

  Indicates whether a variable should be in plot output.

### plotLineSpec

    protected java.lang.String plotLineSpec

  LineSpec is an argument to plotting functions, such as plot, that defines three components used to specify lines in MATLAB: Line style, Color and Marker symbol. See Matlab documentaion for more information.

Constructor Detail

### VariableRole

    public VariableRole(DataCollection origin,
                        DiagramElement diagramElement,
                        double initialValue)

### VariableRole

    public VariableRole(DiagramElement diagramElement,
                        double initialValue)

Pendung:
  remove it. Just now it is used DynamicModelTest.

### VariableRole

    public VariableRole(java.lang.String name,
                        DataCollection origin,
                        double initialValue)

  For internal usage.

Method Detail

### createName

    public static java.lang.String createName(DiagramElement de)

  Returns name of DataElement including all compartment names.

### clone

    public Role clone(DiagramElement de)

  Creates variable copy and assotiate it with specified diagram element.

  Specified by:
    `clone` in interface `Role`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Variable`

### getDiagramElement

    public DiagramElement getDiagramElement()

  Specified by:
    `getDiagramElement` in interface `Role`

### isBoundaryCondition

    public boolean isBoundaryCondition()

### setBoundaryCondition

    public void setBoundaryCondition(boolean boundaryCondition)

### isShowInPlot

    public boolean isShowInPlot()

### setShowInPlot

    public void setShowInPlot(boolean showInPlot)

### getPlotLineSpec

    public java.lang.String getPlotLineSpec()

### setPlotLineSpec

    public void setPlotLineSpec(java.lang.String plotLineSpec)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.